Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.script
Interface Window

All Known Implementing Classes:
  BaseScriptingEnvironment.Window, ScriptingEnvironment.Window, SVG12ScriptingEnvironment.Global

    public interface Window

This interface represents the 'window' object defined in the global environment of a SVG document.

Nested Class Summary
`static interface` | `Window.URLResponseHandler` To handle the completion of a 'getURL()' or 'postURL' call.

Method Summary
`void` | `alert(String message)` Displays an alert dialog box.
`void` | `clearInterval(Object interval)` Cancels an interval that was set by a call to 'setInterval'.
`void` | `clearTimeout(Object timeout)` Cancels an timeout that was set by a call to 'setTimeout'.
`boolean` | `confirm(String message)` Displays a confirm dialog box.
`BridgeContext` | `getBridgeContext()` Returns the current BridgeContext.
`Interpreter` | `getInterpreter()` Returns the associated interpreter.
`void` | `getURL(String uri, Window.URLResponseHandler h)` Gets data from the given URI.
`void` | `getURL(String uri, Window.URLResponseHandler h, String enc)` Gets data from the given URI.
`Node` | `parseXML(String text, Document doc)` Parses the given XML string into a DocumentFragment of the given document or a new document if 'doc' is null.
`void` | `postURL(String uri, String content, Window.URLResponseHandler h)` Posts data to the given URI.
`void` | `postURL(String uri, String content, Window.URLResponseHandler h, String mimeType)` Posts data to the given URI.
`void` | `postURL(String uri, String content, Window.URLResponseHandler h, String mimeType, String enc)` Posts data to the given URI.
`String` | `prompt(String message)` Displays an input dialog box.
`String` | `prompt(String message, String defVal)` Displays an input dialog box, given the default value.
`Object` | `setInterval(Runnable r, long interval)` Calls the 'run' method of the given Runnable repeatedly after the given amount of time.
`Object` | `setInterval(String script, long interval)` Evaluates the given string repeatedly after the given amount of time.
`Object` | `setTimeout(Runnable r, long timeout)` Calls the 'run' method of the given Runnable after the given amount of time.
`Object` | `setTimeout(String script, long timeout)` Evaluates the given string after the given amount of time.

Method Detail

### setInterval

    Object setInterval(String script,
                       long interval)

  Evaluates the given string repeatedly after the given amount of time. This method does not stall the script: the evaluation is scheduled and the script continues its execution.

  Returns:
    an object representing the interval created.

### setInterval

    Object setInterval(Runnable r,
                       long interval)

  Calls the 'run' method of the given Runnable repeatedly after the given amount of time. This method does not stall the script: the evaluation is scheduled and the script continues its execution.

  Returns:
    an object representing the interval created.

### clearInterval

    void clearInterval(Object interval)

  Cancels an interval that was set by a call to 'setInterval'.

### setTimeout

    Object setTimeout(String script,
                      long timeout)

  Evaluates the given string after the given amount of time. This method does not stall the script: the evaluation is scheduled and the script continues its execution.

  Returns:
    an object representing the timeout created.

### setTimeout

    Object setTimeout(Runnable r,
                      long timeout)

  Calls the 'run' method of the given Runnable after the given amount of time. This method does not stall the script: the evaluation is scheduled and the script continues its execution.

  Returns:
    an object representing the timeout created.

### clearTimeout

    void clearTimeout(Object timeout)

  Cancels an timeout that was set by a call to 'setTimeout'.

### parseXML

    Node parseXML(String text,
                  Document doc)

  Parses the given XML string into a DocumentFragment of the given document or a new document if 'doc' is null.

  Returns:
    The document fragment or null on error.

### getURL

    void getURL(String uri,
                Window.URLResponseHandler h)

  Gets data from the given URI.

  Parameters:
    `uri` - The URI where the data is located.
    `h` - A handler called when the data is available.

### getURL

    void getURL(String uri,
                Window.URLResponseHandler h,
                String enc)

  Gets data from the given URI.

  Parameters:
    `uri` - The URI where the data is located.
    `h` - A handler called when the data is available.
    `enc` - The character encoding of the data.

### postURL

    void postURL(String uri,
                 String content,
                 Window.URLResponseHandler h)

  Posts data to the given URI.

  Parameters:
    `uri` - The URI where the data is located.
    `content` - The data to post to the server.
    `h` - A handler called when the data is available.

### postURL

    void postURL(String uri,
                 String content,
                 Window.URLResponseHandler h,
                 String mimeType)

  Posts data to the given URI.

  Parameters:
    `uri` - The URI where the data is located.
    `content` - The data to post to the server.
    `h` - A handler called when the data is available.
    `mimeType` - The mimeType to asscoiate with post.

### postURL

    void postURL(String uri,
                 String content,
                 Window.URLResponseHandler h,
                 String mimeType,
                 String enc)

  Posts data to the given URI.

  Parameters:
    `uri` - The URI where the data is located.
    `content` - The data to post to the server.
    `h` - A handler called when the data is available.
    `mimeType` - The mimeType to asscoiate with post.
    `enc` - The encoding to apply to `content` may be "gzip", "deflate", or `null`.

### alert

    void alert(String message)

  Displays an alert dialog box.

### confirm

    boolean confirm(String message)

  Displays a confirm dialog box.

### prompt

    String prompt(String message)

  Displays an input dialog box.

  Returns:
    The input of the user, or null if the dialog was cancelled.

### prompt

    String prompt(String message,
                  String defVal)

  Displays an input dialog box, given the default value.

  Returns:
    The input of the user, or null if the dialog was cancelled.

### getBridgeContext

    BridgeContext getBridgeContext()

  Returns the current BridgeContext. This object given a deep access to the viewer internals.

### getInterpreter

    Interpreter getInterpreter()

  Returns the associated interpreter.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.